Create Service Request: Rentvine
https://api.propexo.com/v1/service-requests/rentvine/| Interface | Method |
|---|---|
| Work Orders | POST /api/manager/maintenance/work-orders |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request status
The Propexo unique identifier for the vendor
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
A description of the service request
Possible values: <= 127 characters
The priority level associated with the service request
Show 3 enum values
LOWMEDIUMHIGHThe date the service request is scheduled
Vendor/technician notes associated with the service request
Possible values: <= 127 characters
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request status
The Propexo unique identifier for the vendor
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
A description of the service request
Possible values: <= 127 characters
The priority level associated with the service request
Show 3 enum values
LOWMEDIUMHIGHThe date the service request is scheduled
Vendor/technician notes associated with the service request
Possible values: <= 127 characters
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_status_id": "string",
"service_description": "string",
"service_priority": "LOW"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_status_id": "string",
"vendor_id": "string",
"resident_id": "string",
"unit_id": "string",
"employee_id": "string",
"service_description": "string",
"service_priority": "LOW",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"vendor_notes": "string"
}
}